Bug 194411 - [PATCH] security/create-cert: Update to 2.5
Summary: [PATCH] security/create-cert: Update to 2.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-16 20:36 UTC by Craig Leres
Modified: 2014-11-09 22:04 UTC (History)
1 user (show)

See Also:


Attachments
Patch for security/create-cert (863 bytes, text/plain)
2014-10-16 20:36 UTC, Craig Leres
leres: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2014-10-16 20:36:20 UTC
Created attachment 148381 [details]
Patch for security/create-cert

Update to 2.5; changes since 2.4 include:

- Fix a bug that ignored digest and used the openssl default
    
- Changed default digest to sha256
Comment 1 Craig Leres freebsd_committer 2014-10-16 20:36:50 UTC
Comment on attachment 148381 [details]
Patch for security/create-cert

Here's a redports log for this version:

    https://redports.org/~leres/20141016203224-81927-252564/create-cert-2.5.log
Comment 2 John Marino freebsd_committer 2014-11-01 09:45:24 UTC
until further notice, you can consider redports logs absolutely worthless.  We do.

In any case, I'll promote this base on simplicity (and good will for the intent to provide good logs.) :)
Comment 3 commit-hook freebsd_committer 2014-11-09 22:04:34 UTC
A commit references this bug:

Author: madpilot
Date: Sun Nov  9 22:04:32 UTC 2014
New revision: 372377
URL: https://svnweb.freebsd.org/changeset/ports/372377

Log:
  Update to 2.5

  PR:		194411
  Submitted by:	leres at ee.lbl.gov (maintainer)

Changes:
  head/security/create-cert/Makefile
  head/security/create-cert/distinfo
Comment 4 Guido Falsi freebsd_committer 2014-11-09 22:04:52 UTC
Committed, thanks!